
/* common styles */
:root {
    /* --primary-color: #123456; */
    /* --primary-color: #376498; */
    --primary-color: #21324d;
    --text-primary-color: #333333;

    /* jp font */
    --jp-sans:
        'Noto Sans JP',
        'Source Han Sans JP',
        'M PLUS 1p',
        "Hiragino Kaku Gothic ProN",
        "游ゴシック",
        "YuGothic",
        "Meiryo",
        sans-serif;

    --jp-serif:
        'Shippori Mincho',
        'Noto Serif JP',
        serif;
}

html, body {
    height: 100%;
    
    line-height: 1.8;
    letter-spacing: 0.02em;

    /* font-family */
    font-family: var(--jp-sans) !important;
}

.font-serif {
    font-family: var(--jp-serif) !important;
}

h1, h2, h3 {
    letter-spacing: 0.04em;    /* 标题稍微拉开 */
}

.page-wrap {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

/* 让主体内容自动撑开 */
main {
    flex: 1;
}
